glab(1)

NAME
glab-auth-login - Authenticate with a GitLab instance.

SYNOPSIS
glab auth login [flags]

DESCRIPTION
Authenticate with a GitLab instance. You can pass in a token on standard input by using --stdin. The minimum required scopes for the token are: api, write_repository. Configuration and credentials are stored in the global configuration file (default ~/.config/glab-cli/config.yml)

OPTIONS
-a, --api-host=""
    API host url.

-p, --api-protocol=""
    API protocol: https, http

-g, --git-protocol=""
    Git protocol: ssh, https, http

-h, --hostname=""
    The hostname of the GitLab instance to authenticate with.

-j, --job-token=""
    CI job token.

--stdin[=false]
    Read token from standard input.

-t, --token=""
    Your GitLab access token.

--use-keyring[=false]
    Store token in your operating system's keyring.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

EXAMPLE
    # Start interactive setup
    $ glab auth login
    # Authenticate against `gitlab.com` by reading the token from a file
    $ glab auth login --stdin < myaccesstoken.txt
    # Authenticate with GitLab Self-Managed or GitLab Dedicated
    $ glab auth login --hostname salsa.debian.org
    # Non-interactive setup
    $ glab auth login --hostname gitlab.example.org --token glpat-xxx --api-host gitlab.example.org:3443 --api-protocol https --git-protocol ssh
    # Non-interactive setup reading token from a file
    $ glab auth login --hostname gitlab.example.org --api-host gitlab.example.org:3443 --api-protocol https --git-protocol ssh  --stdin < myaccesstoken.txt
    # non-interactive job token setup
    $ glab auth login --hostname gitlab.example.org --job-token $CI_JOB_TOKEN

SEE ALSO
glab-auth(1)